vmware y gcc

Pedro Gauna lapega en gmail.com
Lun Oct 24 14:19:34 CDT 2005


Hola, lo que sucede es que el comando gcc es un enlace al otro
(gcc-4.0), lo que tienes que hacer es eliminar el comando gcc:
$ rm -d /usr/bin/gcc

y volver a enlazarlo con la versión recién instalada:
$ ln -s /usr/bin/gcc-3.4 /usr/bin/gcc

De todas maneras, en hoary me funcionaba de pelos, pero ahora que lo
quiero instalar en breezy ni siquiera abre la aplicación. Pero por
suerte liberaron (o al menos lo pusieron gratis) al VMware-Player,
incluso hay un paquete para Breezy que se instala muy bien y pide menos
recursos.

Suerte

El lun, 24-10-2005 a las 16:08 -0300, Jose Luis Olave escribió:
> Hola,
> 
> Tenia instalado Vmware perfectamente, pero al actualizarme a breezy me
> compilo un nuevo kernel.
> 
> Al correr vmware, me pide reconfigurarlo por el nuevo kernel
> (/usr/bin/vmware-config.pl) pero al tratar de compilar me dice que mi
> kernel fue compilado con gcc 3.4.5 y pero el istalado es 4.0.2:
> 
> "Your kernel was built with "gcc" version "3.4.5", while you are trying to use
> "/usr/bin/gcc" version "4.0.2". This configuration is not supported and VMware
> Workstation cannot work in such configuration. Please either recompile your
> kernel with "/usr/bin/gcc" version "4.0.2", or restart
> /usr/bin/vmware-config.plwith CC environment variable pointing to the
> "gcc" version "3.4.5".
> "
> 
> Instalé el 3.4 (no estaba en los repositarios un 3.4.5) pero no se
> donde decirle que ocupe ese ya que quedo en gcc-3.4.5 y el script
> sigue buscando en gcc.
> 
> Claro lo más fácil es recompilarf el kernel con gcc 4.0.2 pero no se
> hacerlo (mi gran problema) y peor aún no se donde sacar los fuentes ya
> que en los repositorios solo estan los header.
> 
> Alguna idea?!
> 
> Saludos,
> --
> ------------------
> José Luis Olave
> http://joters.blogspot.com/
> http://www.info-web.cl
> 




Más información sobre la lista de distribución ubuntu-es